pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.7.0 20120507 (Red Hat 4.7.0-5)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_templates2ada" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#566a0ad3#;
   pragma Export (C, u00001, "templates2adaB");
   u00002 : constant Version_32 := 16#bebd3d3f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#e50e0229#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00005, "ada__charactersS");
   u00006 : constant Version_32 := 16#833355f1#;
   pragma Export (C, u00006, "ada__characters__handlingB");
   u00007 : constant Version_32 := 16#3006d996#;
   pragma Export (C, u00007, "ada__characters__handlingS");
   u00008 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00008, "ada__characters__latin_1S");
   u00009 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00009, "ada__stringsS");
   u00010 : constant Version_32 := 16#eb6e42ba#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#fc178b81#;
   pragma Export (C, u00011, "system__exception_tableB");
   u00012 : constant Version_32 := 16#7a009e1f#;
   pragma Export (C, u00012, "system__exception_tableS");
   u00013 : constant Version_32 := 16#84debe5c#;
   pragma Export (C, u00013, "system__htableB");
   u00014 : constant Version_32 := 16#68c60cb4#;
   pragma Export (C, u00014, "system__htableS");
   u00015 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00015, "system__string_hashB");
   u00016 : constant Version_32 := 16#cdf29a2e#;
   pragma Export (C, u00016, "system__string_hashS");
   u00017 : constant Version_32 := 16#8c5e58a5#;
   pragma Export (C, u00017, "system__soft_linksB");
   u00018 : constant Version_32 := 16#371ef24c#;
   pragma Export (C, u00018, "system__soft_linksS");
   u00019 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00019, "system__parametersB");
   u00020 : constant Version_32 := 16#5d8c4e7a#;
   pragma Export (C, u00020, "system__parametersS");
   u00021 : constant Version_32 := 16#90ffdd42#;
   pragma Export (C, u00021, "system__secondary_stackB");
   u00022 : constant Version_32 := 16#ff006514#;
   pragma Export (C, u00022, "system__secondary_stackS");
   u00023 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00023, "system__storage_elementsB");
   u00024 : constant Version_32 := 16#11a33f22#;
   pragma Export (C, u00024, "system__storage_elementsS");
   u00025 : constant Version_32 := 16#0c95d8bc#;
   pragma Export (C, u00025, "ada__exceptionsB");
   u00026 : constant Version_32 := 16#e18505e7#;
   pragma Export (C, u00026, "ada__exceptionsS");
   u00027 : constant Version_32 := 16#919fb168#;
   pragma Export (C, u00027, "ada__exceptions__last_chance_handlerB");
   u00028 : constant Version_32 := 16#29e1b15a#;
   pragma Export (C, u00028, "ada__exceptions__last_chance_handlerS");
   u00029 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00029, "system__exceptionsB");
   u00030 : constant Version_32 := 16#e7908a0d#;
   pragma Export (C, u00030, "system__exceptionsS");
   u00031 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00031, "system__exceptions_debugB");
   u00032 : constant Version_32 := 16#d31e676e#;
   pragma Export (C, u00032, "system__exceptions_debugS");
   u00033 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00033, "system__img_intB");
   u00034 : constant Version_32 := 16#e9b5a278#;
   pragma Export (C, u00034, "system__img_intS");
   u00035 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00035, "system__tracebackB");
   u00036 : constant Version_32 := 16#8ae996cf#;
   pragma Export (C, u00036, "system__tracebackS");
   u00037 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00037, "system__wch_conB");
   u00038 : constant Version_32 := 16#54856c87#;
   pragma Export (C, u00038, "system__wch_conS");
   u00039 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00039, "system__wch_stwB");
   u00040 : constant Version_32 := 16#79944086#;
   pragma Export (C, u00040, "system__wch_stwS");
   u00041 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00041, "system__wch_cnvB");
   u00042 : constant Version_32 := 16#4a7bea51#;
   pragma Export (C, u00042, "system__wch_cnvS");
   u00043 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00043, "interfacesS");
   u00044 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00044, "system__wch_jisB");
   u00045 : constant Version_32 := 16#1e097145#;
   pragma Export (C, u00045, "system__wch_jisS");
   u00046 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00046, "system__traceback_entriesB");
   u00047 : constant Version_32 := 16#b94facfb#;
   pragma Export (C, u00047, "system__traceback_entriesS");
   u00048 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00048, "system__stack_checkingB");
   u00049 : constant Version_32 := 16#48ccfe96#;
   pragma Export (C, u00049, "system__stack_checkingS");
   u00050 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00050, "ada__strings__mapsB");
   u00051 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00051, "ada__strings__mapsS");
   u00052 : constant Version_32 := 16#55bf224d#;
   pragma Export (C, u00052, "system__bit_opsB");
   u00053 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00053, "system__bit_opsS");
   u00054 : constant Version_32 := 16#818f1ecc#;
   pragma Export (C, u00054, "system__unsigned_typesS");
   u00055 : constant Version_32 := 16#7a69aa90#;
   pragma Export (C, u00055, "ada__strings__maps__constantsS");
   u00056 : constant Version_32 := 16#2c2cb25a#;
   pragma Export (C, u00056, "ada__command_lineB");
   u00057 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00057, "ada__command_lineS");
   u00058 : constant Version_32 := 16#5e196e91#;
   pragma Export (C, u00058, "ada__containersS");
   u00059 : constant Version_32 := 16#d9473c8c#;
   pragma Export (C, u00059, "ada__containers__red_black_treesS");
   u00060 : constant Version_32 := 16#4ca4db13#;
   pragma Export (C, u00060, "ada__directoriesB");
   u00061 : constant Version_32 := 16#706207bb#;
   pragma Export (C, u00061, "ada__directoriesS");
   u00062 : constant Version_32 := 16#3972cff0#;
   pragma Export (C, u00062, "ada__calendarB");
   u00063 : constant Version_32 := 16#0bc00dc5#;
   pragma Export (C, u00063, "ada__calendarS");
   u00064 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00064, "interfaces__cB");
   u00065 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00065, "interfaces__cS");
   u00066 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00066, "system__os_primitivesB");
   u00067 : constant Version_32 := 16#5bbfce93#;
   pragma Export (C, u00067, "system__os_primitivesS");
   u00068 : constant Version_32 := 16#58c58b5e#;
   pragma Export (C, u00068, "ada__calendar__formattingB");
   u00069 : constant Version_32 := 16#7ece677a#;
   pragma Export (C, u00069, "ada__calendar__formattingS");
   u00070 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00070, "ada__calendar__time_zonesB");
   u00071 : constant Version_32 := 16#74a1fd86#;
   pragma Export (C, u00071, "ada__calendar__time_zonesS");
   u00072 : constant Version_32 := 16#7993dbbd#;
   pragma Export (C, u00072, "system__val_intB");
   u00073 : constant Version_32 := 16#a3cb6885#;
   pragma Export (C, u00073, "system__val_intS");
   u00074 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00074, "system__val_unsB");
   u00075 : constant Version_32 := 16#9127f3f7#;
   pragma Export (C, u00075, "system__val_unsS");
   u00076 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00076, "system__val_utilB");
   u00077 : constant Version_32 := 16#e0c3d7a5#;
   pragma Export (C, u00077, "system__val_utilS");
   u00078 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00078, "system__case_utilB");
   u00079 : constant Version_32 := 16#46722232#;
   pragma Export (C, u00079, "system__case_utilS");
   u00080 : constant Version_32 := 16#730c1f82#;
   pragma Export (C, u00080, "system__val_realB");
   u00081 : constant Version_32 := 16#154735ab#;
   pragma Export (C, u00081, "system__val_realS");
   u00082 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00082, "system__exn_llfB");
   u00083 : constant Version_32 := 16#6aea5c55#;
   pragma Export (C, u00083, "system__exn_llfS");
   u00084 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00084, "system__float_controlB");
   u00085 : constant Version_32 := 16#0b920186#;
   pragma Export (C, u00085, "system__float_controlS");
   u00086 : constant Version_32 := 16#bb1e24cd#;
   pragma Export (C, u00086, "system__powten_tableS");
   u00087 : constant Version_32 := 16#e559f18d#;
   pragma Export (C, u00087, "ada__directories__validityB");
   u00088 : constant Version_32 := 16#a2334639#;
   pragma Export (C, u00088, "ada__directories__validityS");
   u00089 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00089, "ada__strings__fixedB");
   u00090 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00090, "ada__strings__fixedS");
   u00091 : constant Version_32 := 16#00363e01#;
   pragma Export (C, u00091, "ada__strings__searchB");
   u00092 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00092, "ada__strings__searchS");
   u00093 : constant Version_32 := 16#261c554b#;
   pragma Export (C, u00093, "ada__strings__unboundedB");
   u00094 : constant Version_32 := 16#2bf53506#;
   pragma Export (C, u00094, "ada__strings__unboundedS");
   u00095 : constant Version_32 := 16#99756144#;
   pragma Export (C, u00095, "ada__tagsB");
   u00096 : constant Version_32 := 16#425ab8ea#;
   pragma Export (C, u00096, "ada__tagsS");
   u00097 : constant Version_32 := 16#68f8d5f8#;
   pragma Export (C, u00097, "system__val_lluB");
   u00098 : constant Version_32 := 16#fb7d49be#;
   pragma Export (C, u00098, "system__val_lluS");
   u00099 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00099, "system__compare_array_unsigned_8B");
   u00100 : constant Version_32 := 16#3155b477#;
   pragma Export (C, u00100, "system__compare_array_unsigned_8S");
   u00101 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00101, "system__address_operationsB");
   u00102 : constant Version_32 := 16#2b10ab2d#;
   pragma Export (C, u00102, "system__address_operationsS");
   u00103 : constant Version_32 := 16#6da109c8#;
   pragma Export (C, u00103, "system__storage_pools__subpoolsB");
   u00104 : constant Version_32 := 16#578cba01#;
   pragma Export (C, u00104, "system__storage_pools__subpoolsS");
   u00105 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00105, "system__address_imageB");
   u00106 : constant Version_32 := 16#4a82df80#;
   pragma Export (C, u00106, "system__address_imageS");
   u00107 : constant Version_32 := 16#20f9fa25#;
   pragma Export (C, u00107, "system__finalization_mastersB");
   u00108 : constant Version_32 := 16#819bee96#;
   pragma Export (C, u00108, "system__finalization_mastersS");
   u00109 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00109, "system__img_boolB");
   u00110 : constant Version_32 := 16#1eb73351#;
   pragma Export (C, u00110, "system__img_boolS");
   u00111 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00111, "system__ioB");
   u00112 : constant Version_32 := 16#752cb5f5#;
   pragma Export (C, u00112, "system__ioS");
   u00113 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00113, "ada__finalizationB");
   u00114 : constant Version_32 := 16#40c80ee1#;
   pragma Export (C, u00114, "ada__finalizationS");
   u00115 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00115, "ada__streamsS");
   u00116 : constant Version_32 := 16#f7ab51aa#;
   pragma Export (C, u00116, "system__finalization_rootB");
   u00117 : constant Version_32 := 16#ea12f06f#;
   pragma Export (C, u00117, "system__finalization_rootS");
   u00118 : constant Version_32 := 16#a7a37cb6#;
   pragma Export (C, u00118, "system__storage_poolsB");
   u00119 : constant Version_32 := 16#38c05dd7#;
   pragma Export (C, u00119, "system__storage_poolsS");
   u00120 : constant Version_32 := 16#3b8ad87b#;
   pragma Export (C, u00120, "system__atomic_countersB");
   u00121 : constant Version_32 := 16#a1f22e0e#;
   pragma Export (C, u00121, "system__atomic_countersS");
   u00122 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00122, "system__stream_attributesB");
   u00123 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00123, "system__stream_attributesS");
   u00124 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00124, "ada__io_exceptionsS");
   u00125 : constant Version_32 := 16#f1fbff23#;
   pragma Export (C, u00125, "system__crtlS");
   u00126 : constant Version_32 := 16#cd08bce0#;
   pragma Export (C, u00126, "system__file_ioB");
   u00127 : constant Version_32 := 16#e6194557#;
   pragma Export (C, u00127, "system__file_ioS");
   u00128 : constant Version_32 := 16#e4d3df20#;
   pragma Export (C, u00128, "interfaces__c__stringsB");
   u00129 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00129, "interfaces__c__stringsS");
   u00130 : constant Version_32 := 16#7a48d8b1#;
   pragma Export (C, u00130, "interfaces__c_streamsB");
   u00131 : constant Version_32 := 16#a539be81#;
   pragma Export (C, u00131, "interfaces__c_streamsS");
   u00132 : constant Version_32 := 16#a50435f4#;
   pragma Export (C, u00132, "system__crtl__runtimeS");
   u00133 : constant Version_32 := 16#7358cafb#;
   pragma Export (C, u00133, "system__os_libB");
   u00134 : constant Version_32 := 16#a6d80a38#;
   pragma Export (C, u00134, "system__os_libS");
   u00135 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00135, "system__stringsB");
   u00136 : constant Version_32 := 16#5c84087e#;
   pragma Export (C, u00136, "system__stringsS");
   u00137 : constant Version_32 := 16#3451ac80#;
   pragma Export (C, u00137, "system__file_control_blockS");
   u00138 : constant Version_32 := 16#ba5d60c7#;
   pragma Export (C, u00138, "system__pool_globalB");
   u00139 : constant Version_32 := 16#d56df0a6#;
   pragma Export (C, u00139, "system__pool_globalS");
   u00140 : constant Version_32 := 16#3ef3e770#;
   pragma Export (C, u00140, "system__memoryB");
   u00141 : constant Version_32 := 16#21e5feaf#;
   pragma Export (C, u00141, "system__memoryS");
   u00142 : constant Version_32 := 16#0b281ffa#;
   pragma Export (C, u00142, "system__os_constantsS");
   u00143 : constant Version_32 := 16#e7698cad#;
   pragma Export (C, u00143, "system__regexpB");
   u00144 : constant Version_32 := 16#25ffb906#;
   pragma Export (C, u00144, "system__regexpS");
   u00145 : constant Version_32 := 16#a0db5a36#;
   pragma Export (C, u00145, "ada__streams__stream_ioB");
   u00146 : constant Version_32 := 16#f0e417a0#;
   pragma Export (C, u00146, "ada__streams__stream_ioS");
   u00147 : constant Version_32 := 16#595ba38f#;
   pragma Export (C, u00147, "system__communicationB");
   u00148 : constant Version_32 := 16#6940ec90#;
   pragma Export (C, u00148, "system__communicationS");
   u00149 : constant Version_32 := 16#bc0fac87#;
   pragma Export (C, u00149, "ada__text_ioB");
   u00150 : constant Version_32 := 16#b01682d7#;
   pragma Export (C, u00150, "ada__text_ioS");
   u00151 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00151, "gnatS");
   u00152 : constant Version_32 := 16#2896069d#;
   pragma Export (C, u00152, "gnat__command_lineB");
   u00153 : constant Version_32 := 16#3e823f9a#;
   pragma Export (C, u00153, "gnat__command_lineS");
   u00154 : constant Version_32 := 16#1a1bbe6c#;
   pragma Export (C, u00154, "gnat__directory_operationsB");
   u00155 : constant Version_32 := 16#1ef0e288#;
   pragma Export (C, u00155, "gnat__directory_operationsS");
   u00156 : constant Version_32 := 16#10f589ff#;
   pragma Export (C, u00156, "gnat__os_libS");
   u00157 : constant Version_32 := 16#084c16d0#;
   pragma Export (C, u00157, "gnat__regexpS");
   u00158 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00158, "gnat__stringsS");
   u00159 : constant Version_32 := 16#1eadf3c6#;
   pragma Export (C, u00159, "system__strings__stream_opsB");
   u00160 : constant Version_32 := 16#8453d1c6#;
   pragma Export (C, u00160, "system__strings__stream_opsS");
   u00161 : constant Version_32 := 16#7c32a58a#;
   pragma Export (C, u00161, "templates_parserB");
   u00162 : constant Version_32 := 16#a9321c92#;
   pragma Export (C, u00162, "templates_parserS");
   u00163 : constant Version_32 := 16#654e2c4c#;
   pragma Export (C, u00163, "ada__containers__hash_tablesS");
   u00164 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00164, "ada__containers__prime_numbersB");
   u00165 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00165, "ada__containers__prime_numbersS");
   u00166 : constant Version_32 := 16#bd084245#;
   pragma Export (C, u00166, "ada__strings__hashB");
   u00167 : constant Version_32 := 16#fe83f2e7#;
   pragma Export (C, u00167, "ada__strings__hashS");
   u00168 : constant Version_32 := 16#e5d07804#;
   pragma Export (C, u00168, "ada__strings__hash_case_insensitiveB");
   u00169 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00169, "ada__strings__hash_case_insensitiveS");
   u00170 : constant Version_32 := 16#021f5226#;
   pragma Export (C, u00170, "gnat__calendarB");
   u00171 : constant Version_32 := 16#70216838#;
   pragma Export (C, u00171, "gnat__calendarS");
   u00172 : constant Version_32 := 16#67aae5ff#;
   pragma Export (C, u00172, "gnat__calendar__time_ioB");
   u00173 : constant Version_32 := 16#55b2db5b#;
   pragma Export (C, u00173, "gnat__calendar__time_ioS");
   u00174 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00174, "gnat__case_utilB");
   u00175 : constant Version_32 := 16#5f04590f#;
   pragma Export (C, u00175, "gnat__case_utilS");
   u00176 : constant Version_32 := 16#1eab0e09#;
   pragma Export (C, u00176, "system__img_enum_newB");
   u00177 : constant Version_32 := 16#6c69894a#;
   pragma Export (C, u00177, "system__img_enum_newS");
   u00178 : constant Version_32 := 16#9777733a#;
   pragma Export (C, u00178, "system__img_lliB");
   u00179 : constant Version_32 := 16#fa21176b#;
   pragma Export (C, u00179, "system__img_lliS");
   u00180 : constant Version_32 := 16#06417083#;
   pragma Export (C, u00180, "system__img_lluB");
   u00181 : constant Version_32 := 16#c8461e0f#;
   pragma Export (C, u00181, "system__img_lluS");
   u00182 : constant Version_32 := 16#c72dc161#;
   pragma Export (C, u00182, "gnat__regpatS");
   u00183 : constant Version_32 := 16#b97b88d3#;
   pragma Export (C, u00183, "system__regpatB");
   u00184 : constant Version_32 := 16#6934d9c5#;
   pragma Export (C, u00184, "system__regpatS");
   u00185 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00185, "system__img_charB");
   u00186 : constant Version_32 := 16#775a1a5d#;
   pragma Export (C, u00186, "system__img_charS");
   u00187 : constant Version_32 := 16#17561427#;
   pragma Export (C, u00187, "templates_parser__configurationS");
   u00188 : constant Version_32 := 16#33e1cc40#;
   pragma Export (C, u00188, "templates_parser__inputB");
   u00189 : constant Version_32 := 16#09f8a343#;
   pragma Export (C, u00189, "templates_parser__inputS");
   u00190 : constant Version_32 := 16#ace132c6#;
   pragma Export (C, u00190, "templates_parser__utilsB");
   u00191 : constant Version_32 := 16#cf06291e#;
   pragma Export (C, u00191, "templates_parser__utilsS");
   u00192 : constant Version_32 := 16#3be31a7b#;
   pragma Export (C, u00192, "ada__environment_variablesB");
   u00193 : constant Version_32 := 16#35b9fcf5#;
   pragma Export (C, u00193, "ada__environment_variablesS");
   u00194 : constant Version_32 := 16#0a12f45b#;
   pragma Export (C, u00194, "templates_parser_taskingB");
   u00195 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00195, "templates_parser_taskingS");
   u00196 : constant Version_32 := 16#91163213#;
   pragma Export (C, u00196, "ada__task_identificationB");
   u00197 : constant Version_32 := 16#2e3eb6a6#;
   pragma Export (C, u00197, "ada__task_identificationS");
   u00198 : constant Version_32 := 16#193a4231#;
   pragma Export (C, u00198, "system__task_primitivesS");
   u00199 : constant Version_32 := 16#947b5864#;
   pragma Export (C, u00199, "system__os_interfaceB");
   u00200 : constant Version_32 := 16#65a64c9a#;
   pragma Export (C, u00200, "system__os_interfaceS");
   u00201 : constant Version_32 := 16#9ba989ff#;
   pragma Export (C, u00201, "system__linuxS");
   u00202 : constant Version_32 := 16#27f5dd5d#;
   pragma Export (C, u00202, "system__task_primitives__operationsB");
   u00203 : constant Version_32 := 16#074016cd#;
   pragma Export (C, u00203, "system__task_primitives__operationsS");
   u00204 : constant Version_32 := 16#903909a4#;
   pragma Export (C, u00204, "system__interrupt_managementB");
   u00205 : constant Version_32 := 16#1f575a04#;
   pragma Export (C, u00205, "system__interrupt_managementS");
   u00206 : constant Version_32 := 16#c313b593#;
   pragma Export (C, u00206, "system__multiprocessorsB");
   u00207 : constant Version_32 := 16#d3c2ddc9#;
   pragma Export (C, u00207, "system__multiprocessorsS");
   u00208 : constant Version_32 := 16#d2722bde#;
   pragma Export (C, u00208, "system__stack_checking__operationsB");
   u00209 : constant Version_32 := 16#49df1cef#;
   pragma Export (C, u00209, "system__stack_checking__operationsS");
   u00210 : constant Version_32 := 16#3d54d5f6#;
   pragma Export (C, u00210, "system__task_infoB");
   u00211 : constant Version_32 := 16#2dfd3cca#;
   pragma Export (C, u00211, "system__task_infoS");
   u00212 : constant Version_32 := 16#f765137c#;
   pragma Export (C, u00212, "system__taskingB");
   u00213 : constant Version_32 := 16#724da083#;
   pragma Export (C, u00213, "system__taskingS");
   u00214 : constant Version_32 := 16#7b8aedca#;
   pragma Export (C, u00214, "system__stack_usageB");
   u00215 : constant Version_32 := 16#f4e602da#;
   pragma Export (C, u00215, "system__stack_usageS");
   u00216 : constant Version_32 := 16#aaa1f830#;
   pragma Export (C, u00216, "system__tasking__debugB");
   u00217 : constant Version_32 := 16#f87f5918#;
   pragma Export (C, u00217, "system__tasking__debugS");
   u00218 : constant Version_32 := 16#39591e91#;
   pragma Export (C, u00218, "system__concat_2B");
   u00219 : constant Version_32 := 16#10beb046#;
   pragma Export (C, u00219, "system__concat_2S");
   u00220 : constant Version_32 := 16#ae97ef6c#;
   pragma Export (C, u00220, "system__concat_3B");
   u00221 : constant Version_32 := 16#9d4440d0#;
   pragma Export (C, u00221, "system__concat_3S");
   u00222 : constant Version_32 := 16#c9fdc962#;
   pragma Export (C, u00222, "system__concat_6B");
   u00223 : constant Version_32 := 16#2ca4b7ae#;
   pragma Export (C, u00223, "system__concat_6S");
   u00224 : constant Version_32 := 16#def1dd00#;
   pragma Export (C, u00224, "system__concat_5B");
   u00225 : constant Version_32 := 16#fb578c1b#;
   pragma Export (C, u00225, "system__concat_5S");
   u00226 : constant Version_32 := 16#3493e6c0#;
   pragma Export (C, u00226, "system__concat_4B");
   u00227 : constant Version_32 := 16#e931a104#;
   pragma Export (C, u00227, "system__concat_4S");
   u00228 : constant Version_32 := 16#d2bce054#;
   pragma Export (C, u00228, "system__tasking__utilitiesB");
   u00229 : constant Version_32 := 16#588eda2e#;
   pragma Export (C, u00229, "system__tasking__utilitiesS");
   u00230 : constant Version_32 := 16#da6ced5c#;
   pragma Export (C, u00230, "system__tasking__initializationB");
   u00231 : constant Version_32 := 16#93a57cc9#;
   pragma Export (C, u00231, "system__tasking__initializationS");
   u00232 : constant Version_32 := 16#23d6a5c7#;
   pragma Export (C, u00232, "system__soft_links__taskingB");
   u00233 : constant Version_32 := 16#ed4856ff#;
   pragma Export (C, u00233, "system__soft_links__taskingS");
   u00234 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00234, "ada__exceptions__is_null_occurrenceB");
   u00235 : constant Version_32 := 16#ee91a0eb#;
   pragma Export (C, u00235, "ada__exceptions__is_null_occurrenceS");
   u00236 : constant Version_32 := 16#b892e5ab#;
   pragma Export (C, u00236, "system__tasking__queuingB");
   u00237 : constant Version_32 := 16#ca5254e7#;
   pragma Export (C, u00237, "system__tasking__queuingS");
   u00238 : constant Version_32 := 16#78928eb3#;
   pragma Export (C, u00238, "system__tasking__protected_objectsB");
   u00239 : constant Version_32 := 16#0e06b2d3#;
   pragma Export (C, u00239, "system__tasking__protected_objectsS");
   u00240 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00240, "system__tracesB");
   u00241 : constant Version_32 := 16#19732a10#;
   pragma Export (C, u00241, "system__tracesS");
   u00242 : constant Version_32 := 16#68888cbc#;
   pragma Export (C, u00242, "system__tasking__protected_objects__entriesB");
   u00243 : constant Version_32 := 16#db92b260#;
   pragma Export (C, u00243, "system__tasking__protected_objects__entriesS");
   u00244 : constant Version_32 := 16#386436bc#;
   pragma Export (C, u00244, "system__restrictionsB");
   u00245 : constant Version_32 := 16#a7a3f233#;
   pragma Export (C, u00245, "system__restrictionsS");
   u00246 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00246, "system__traces__taskingB");
   u00247 : constant Version_32 := 16#52029525#;
   pragma Export (C, u00247, "system__traces__taskingS");
   u00248 : constant Version_32 := 16#44a48e41#;
   pragma Export (C, u00248, "system__tasking__protected_objects__operationsB");
   u00249 : constant Version_32 := 16#099e8e9f#;
   pragma Export (C, u00249, "system__tasking__protected_objects__operationsS");
   u00250 : constant Version_32 := 16#6ee4c230#;
   pragma Export (C, u00250, "system__tasking__entry_callsB");
   u00251 : constant Version_32 := 16#84b0eb9c#;
   pragma Export (C, u00251, "system__tasking__entry_callsS");
   u00252 : constant Version_32 := 16#da47006c#;
   pragma Export (C, u00252, "system__tasking__rendezvousB");
   u00253 : constant Version_32 := 16#feb62eb6#;
   pragma Export (C, u00253, "system__tasking__rendezvousS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  ada.environment_variables%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.io%s
   --  system.io%b
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.stack_checking.operations%b
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.val_int%s
   --  system.val_llu%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_llu%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.containers.hash_tables%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.containers.red_black_trees%s
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.strings%s
   --  system.crtl.runtime%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.regpat%s
   --  gnat.regpat%s
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  ada.task_identification%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.directory_operations%s
   --  system.communication%s
   --  system.communication%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  system.regpat%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  ada.strings.hash_case_insensitive%b
   --  system.soft_links%b
   --  ada.environment_variables%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  gnat.directory_operations%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.utilities%s
   --  ada.task_identification%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.command_line%b
   --  gnat.calendar.time_io%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  templates2ada%b
   --  END ELABORATION ORDER


end ada_main;
